Game_Interpreter.prototype.Set特殊暗転設定 = function () {
    this.SetSprite(PN_ExEnsyutu , "Black" , 0 , 0);
    this.SetPict(PN_ExEnsyutu , "Black" , 0 , 0);
}
Game_Interpreter.prototype.Set特殊暗転解除 = function () {
    this.DelPict(PN_ExEnsyutu);
    this.DelSprite(PN_ExEnsyutu);
}
Game_Interpreter.prototype.NPicFlash = function (_PicNo, _PicName, _Flame) {
    _Flame = typeof _Flame !== 'undefined' ? _Flame : 15;
    this.SetPict(_PicNo, _PicName, 0, 0);
    this.MovePict(_PicNo, true, true, _Flame, 0);
}
Game_Interpreter.prototype.L2D_Flash = function (_PicName, _Flame) {
    this.NPicFlash(PN_NPicFlash, _PicName, _Flame);
}
Game_Interpreter.prototype.WinEffPic = function (_PicName, _opi, _time) {
    _opi = typeof _opi !== 'undefined' ? _opi : 255;
    _time = typeof _time !== 'undefined' ? _time : 10;
    this.SetSprite(PNo_Ensyutu, _PicName, 0, 0, 0, 100, 100, 2);
    this.MoveSprite(PNo_Ensyutu, true, true, _time, _opi);
};
Game_Interpreter.prototype.WinEffPicDel = function (_time) {
    _time = typeof _time !== 'undefined' ? _time : 10;
    this.MoveSprite(PNo_Ensyutu, true, true, _time, 0);
};
Game_Interpreter.prototype.Ensyutu_Black_In = function (_time) {
    _time = typeof _time !== 'undefined' ? _time : 10;
    this.SetSpriteFIn(PNo_Ensyutu, "Black", 0, 0, 0, 0, _time);
}
Game_Interpreter.prototype.Ensyutu_Out = function (_time) {
    _time = typeof _time !== 'undefined' ? _time : 10;
    this.MoveSprite(PNo_Ensyutu, true, true, _time, 0);
}
var Live2D揺れ_MaxFlame = 0;
var Live2D揺れ_flame = 0;
var Live2D揺れ_count = 0;
var Live2D揺れ_yureX = 0;
var Live2D揺れ_baseX = [];
Game_Interpreter.prototype.Live2D揺れ = function (_flame , _count , yureX) {
    _flame = typeof _flame !== 'undefined' ? _flame : 15;
    _count = typeof _count !== 'undefined' ? _count : 5;
    yureX = typeof yureX !== 'undefined' ? yureX : 10;
    Live2D揺れ_flame = _flame / _count;
    Live2D揺れ_count = _count * 2;
    Live2D揺れ_yureX = yureX;
    Live2D揺れ_baseX = [];
    let _bef_DLayerId = N_Sprite_DLayer;
    N_Sprite_DLayer = L2D_Dlayer;
    for (let i = PN_L2DView; i < PN_L2DView + L2DLayerPicCnt + 1; i++) {
        let _SpriteObj = GetSpriteData(i);
        if (_SpriteObj != null)
            Live2D揺れ_baseX.push(_SpriteObj._x);
        else
            Live2D揺れ_baseX.push(null);
    }
    N_Sprite_DLayer = _bef_DLayerId;
}
let Live2D揺れ_NUpdateSc = Game_Interpreter.prototype.NUpdateSc;
Game_Interpreter.prototype.NUpdateSc = function () {
    Live2D揺れ_NUpdateSc.call(this);
    if (Live2D揺れ_count > 0) {
        var setYureX = Live2D揺れ_yureX;
        if (Live2D揺れ_count % 2 == 0) setYureX *= -1;
        let _bef_DLayerId = N_Sprite_DLayer;
        N_Sprite_DLayer = L2D_Dlayer;
        for (let i = PN_L2DView; i < PN_L2DView + L2DLayerPicCnt + 1; i++) {
            let _SpriteObj = GetSpriteData(i);
            if (_SpriteObj != null) {
                this.MoveSpriteAdd(i , setYureX , 0 , Live2D揺れ_flame / 2 , true , true , true);
                if (Live2D揺れ_count == 1 && Live2D揺れ_baseX[i - PN_L2DView] != null) {
                    this.MoveSprite(i , Live2D揺れ_baseX[i - PN_L2DView] , true , Live2D揺れ_flame / 2 , true , true,true);
                }
            }
        }
        N_Sprite_DLayer = _bef_DLayerId;
        Live2D揺れ_count--;
    }
}
